#!/bin/bash

# access
#  %x   время последнего доступа
#  %X   время последнего доступа в секундах с начала Эпохи

# modification
#  %y   время последней модификации данных
#  %Y   время последней модификации данных в секундах с начала Эпохи

# change
#  %z   время последнего изменения состояния, в понятном человеку виде
#  %Z   время последнего изменения состояния в секундах с начала Эпохи

#time_x=$(stat -c %X 123)
#time_y=$(stat -c %Y 123)
#time_z=$(stat -c %Z 123)

path_find=$(dirname $(readlink -e "$0"))"/nvdata"
all=$(find "$path_find" | wc -l)
remove_no_needless_files=(
    wtmp
    log
    messages
    messages.0
    dmesg.log
    temp
    result.json
    temp_latest
)

n=0
#echo ${remove_no_needless_files[@]}
echo $path_find

tar -xvf $1

for file in $(find "$path_find" ); do
    f=$(awk -F/ '{print $NF}' <<< "$file")
    time_x=$(stat --format='%.9X' ${file})
    time_y=$(stat --format='%.9Y' ${file})
#    time_z=$(stat --format='%.9Z' ${file})


    #Удалить не нужные файлы
    if [[ ! " ${remove_no_needless_files[@]} " =~ " ${f} " ]] && [ ! -d $file ]; then
        echo "* Remove $file"
        rm $file
    fi

    #Чистка dmesg
    if [ "${f}" == "dmesg.log" ]; then
        echo "* Formating $file"
        sed -i 's/^\[.*\] //g' $file
    fi

    #Чистка модели
    if [[ " messages messages.0 log " =~ " ${f} " ]] && [ ! -d $file ]; then
        sed -i -e 's/ Hiveon//g; s/ TEST//g' $file
        echo "* Formating $file"
    fi


    touch -a --date=@$time_x $file
    touch -m --date=@$time_y $file
    (( n++ ))
#    echo $n/$all
done


tar -cf $1 $path_find


#